net.dontdrinkandroot.wicket.model.date

## Class DateAvailableDaysModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel<List<Integer>>
  - - net.dontdrinkandroot.wicket.model.date.DateAvailableDaysModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<List<Integer>>, org.apache.wicket.util.io.IClusterable

    public class DateAvailableDaysModel
    extends AbstractDateCalendarModel<List<Integer>>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DateAvailableDaysModel(org.apache.wicket.model.IModel<Date> parent)`

### Method Summary

Methods
`void` `detach()`
`protected List<Integer>` `getFromCalendar(Calendar calendar)`
`protected void` `setToCalendar(List<Integer> object, Calendar calendar)`

### Methods inherited from class net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel

`getObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateAvailableDaysModel

    public DateAvailableDaysModel(org.apache.wicket.model.IModel<Date> parent)

### Method Detail

#### setToCalendar

    protected void setToCalendar(List<Integer> object,
                     Calendar calendar)

Specified by:
  `setToCalendar` in class `AbstractDateCalendarModel<List<Integer>>`

#### getFromCalendar

    protected List<Integer> getFromCalendar(Calendar calendar)

Specified by:
  `getFromCalendar` in class `AbstractDateCalendarModel<List<Integer>>`

#### detach

    public void detach()

Specified by:
  `detach` in interface `org.apache.wicket.model.IDetachable`
Overrides:
  `detach` in class `AbstractDateCalendarModel<List<Integer>>`